# Get Network

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Market Data", href: "/trading/rest-api/market-data" },
    { label: "Get Network" },
  ]}
  title="Get Network"
  method="GET"
  url="https://api.gemini.com/v2/network/{token}"
  description="Retrieves the associated network(s) for a requested token, filtered by your account's access permissions. This authenticated endpoint returns only the networks where your account has both deposit and withdraw access enabled. This supports the multinetwork deposit and withdrawal flow. Many tokens are available on multiple blockchain networks. For example, USDC is available on Optimism, Solana, Base, Arbitrum, Avalanche, and Ethereum. The `network` field in the response is always an array, which may contain one or more supported networks."
  note={{
    title: "Note",
    children: <p style={{ margin: 0 }}>The v1 network endpoint is being retired. This v2 endpoint is the recommended replacement, offering account-level filtering for deposit and withdraw access. Please migrate to this endpoint at your earliest convenience.</p>
  }}
  example={{
    request: {
      method: "GET",
      url: "https://api.gemini.com/v2/network/USDC",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Fund Manager or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="getTokenNetworkV2" />,
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getTokenNetworkV2" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getTokenNetworkV2" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Assets for Network", href: "/trading/rest-api/market-data/get-assets-for-network" }}
  next={{ label: "Derivatives", href: "/trading/rest-api/derivatives" }}
/>
